GET /v1/health

Is the latest sample fresh?

Answers 200 while the newest sample is at most 60 seconds old, and 503 otherwise, including before the first sample.

Auth. None. Anyone can call this route.

Responses

StatusMeaningBody
200HealthyHealth
503Stale or no sample yetHealth
429Too many requests from this client address. Retry after the Retry-After seconds.Error

Example response

{
  "healthy": true,
  "collected_at": "2026-10-11T00:00:00Z"
}

Code samples

Set KEY to your own token first.

curl

curl \
  "https://api.sasek.org/telemetry/v1/health"

JavaScript

const res = await fetch("https://api.sasek.org/telemetry/v1/health", {
});
const data = await res.json();

Python

import json
import os
import urllib.request

request = urllib.request.Request(
    "https://api.sasek.org/telemetry/v1/health",
    method="GET",
)
with urllib.request.urlopen(request) as response:
    print(json.load(response))